package cofh.thermal.expansion.init;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.block.TileBlockActive4Way;
import cofh.lib.util.constants.BlockStatePropertiesCoFH;
import cofh.lib.util.helpers.BlockHelper;
import cofh.thermal.core.config.ThermalCoreConfig;
import cofh.thermal.core.util.RegistrationHelper;
import cofh.thermal.expansion.block.entity.dynamo.DynamoCompressionTile;
import cofh.thermal.expansion.block.entity.dynamo.DynamoDisenchantmentTile;
import cofh.thermal.expansion.block.entity.dynamo.DynamoGourmandTile;
import cofh.thermal.expansion.block.entity.dynamo.DynamoLapidaryTile;
import cofh.thermal.expansion.block.entity.dynamo.DynamoMagmaticTile;
import cofh.thermal.expansion.block.entity.dynamo.DynamoNumismaticTile;
import cofh.thermal.expansion.block.entity.dynamo.DynamoStirlingTile;
import cofh.thermal.expansion.block.entity.machine.MachineBottlerTile;
import cofh.thermal.expansion.block.entity.machine.MachineBrewerTile;
import cofh.thermal.expansion.block.entity.machine.MachineCentrifugeTile;
import cofh.thermal.expansion.block.entity.machine.MachineChillerTile;
import cofh.thermal.expansion.block.entity.machine.MachineCrafterTile;
import cofh.thermal.expansion.block.entity.machine.MachineCrucibleTile;
import cofh.thermal.expansion.block.entity.machine.MachineCrystallizerTile;
import cofh.thermal.expansion.block.entity.machine.MachineFurnaceTile;
import cofh.thermal.expansion.block.entity.machine.MachineInsolatorTile;
import cofh.thermal.expansion.block.entity.machine.MachinePressTile;
import cofh.thermal.expansion.block.entity.machine.MachinePulverizerTile;
import cofh.thermal.expansion.block.entity.machine.MachinePyrolyzerTile;
import cofh.thermal.expansion.block.entity.machine.MachineRefineryTile;
import cofh.thermal.expansion.block.entity.machine.MachineSawmillTile;
import cofh.thermal.expansion.block.entity.machine.MachineSmelterTile;
import cofh.thermal.expansion.init.TExpTileEntities;
import cofh.thermal.lib.block.DynamoBlock;
import cofh.thermal.lib.common.ThermalAugmentRules;
import cofh.thermal.lib.common.ThermalFlags;
import java.util.function.IntSupplier;
import java.util.function.Supplier;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.material.Material;

public class TExpBlocks {
  public static void register() {
    IntSupplier machineAugs = () -> ThermalCoreConfig.machineAugments;
    RegistrationHelper.registerAugmentableBlock("machine_furnace", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 14)), MachineFurnaceTile.class, (Supplier)TExpTileEntities.MACHINE_FURNACE_TILE), machineAugs, ThermalAugmentRules.MACHINE_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("machine_furnace"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_sawmill", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachineSawmillTile.class, (Supplier)TExpTileEntities.MACHINE_SAWMILL_TILE), machineAugs, ThermalAugmentRules.MACHINE_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("machine_sawmill"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_pulverizer", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachinePulverizerTile.class, (Supplier)TExpTileEntities.MACHINE_PULVERIZER_TILE), machineAugs, ThermalAugmentRules.MACHINE_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("machine_pulverizer"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_smelter", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 14)), MachineSmelterTile.class, (Supplier)TExpTileEntities.MACHINE_SMELTER_TILE), machineAugs, ThermalAugmentRules.MACHINE_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("machine_smelter"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_insolator", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 15)), MachineInsolatorTile.class, (Supplier)TExpTileEntities.MACHINE_INSOLATOR_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_insolator"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_centrifuge", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachineCentrifugeTile.class, (Supplier)TExpTileEntities.MACHINE_CENTRIFUGE_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_centrifuge"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_press", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachinePressTile.class, (Supplier)TExpTileEntities.MACHINE_PRESS_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_press"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_crucible", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 14)), MachineCrucibleTile.class, (Supplier)TExpTileEntities.MACHINE_CRUCIBLE_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_crucible"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_chiller", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachineChillerTile.class, (Supplier)TExpTileEntities.MACHINE_CHILLER_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_chiller"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_refinery", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 12)), MachineRefineryTile.class, (Supplier)TExpTileEntities.MACHINE_REFINERY_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_refinery"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_pyrolyzer", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 8)), MachinePyrolyzerTile.class, (Supplier)TExpTileEntities.MACHINE_PYROLYZER_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_pyrolyzer"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_bottler", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachineBottlerTile.class, (Supplier)TExpTileEntities.MACHINE_BOTTLER_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_bottler"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_brewer", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 3)), MachineBrewerTile.class, (Supplier)TExpTileEntities.MACHINE_BREWER_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_brewer"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_crystallizer", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), MachineCrystallizerTile.class, (Supplier)TExpTileEntities.MACHINE_CRYSTALLIZER_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_crystallizer"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("machine_crafter", () -> new TileBlockActive4Way(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 0)), MachineCrafterTile.class, (Supplier)TExpTileEntities.MACHINE_CRAFTER_TILE), machineAugs, ThermalAugmentRules.MACHINE_VALIDATOR, ThermalFlags.getFlag("machine_crafter"), "thermal_expansion");
    IntSupplier dynamoAugs = () -> ThermalCoreConfig.dynamoAugments;
    RegistrationHelper.registerAugmentableBlock("dynamo_stirling", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoStirlingTile.class, (Supplier)TExpTileEntities.DYNAMO_STIRLING_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("dynamo_stirling"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("dynamo_compression", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoCompressionTile.class, (Supplier)TExpTileEntities.DYNAMO_COMPRESSION_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_VALIDATOR, ThermalFlags.getFlag("dynamo_compression"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("dynamo_magmatic", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoMagmaticTile.class, (Supplier)TExpTileEntities.DYNAMO_MAGMATIC_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_VALIDATOR, ThermalFlags.getFlag("dynamo_magmatic"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("dynamo_numismatic", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoNumismaticTile.class, (Supplier)TExpTileEntities.DYNAMO_NUMISMATIC_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("dynamo_numismatic"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("dynamo_lapidary", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoLapidaryTile.class, (Supplier)TExpTileEntities.DYNAMO_LAPIDARY_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("dynamo_lapidary"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("dynamo_disenchantment", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoDisenchantmentTile.class, (Supplier)TExpTileEntities.DYNAMO_DISENCHANTMENT_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("dynamo_disenchantment"), "thermal_expansion");
    RegistrationHelper.registerAugmentableBlock("dynamo_gourmand", () -> new DynamoBlock(BlockBehaviour.Properties.m_60939_(Material.f_76279_).m_60918_(SoundType.f_56725_).m_60978_(2.0F).m_60953_(BlockHelper.lightValue(BlockStatePropertiesCoFH.ACTIVE, 7)), DynamoGourmandTile.class, (Supplier)TExpTileEntities.DYNAMO_GOURMAND_TILE), dynamoAugs, ThermalAugmentRules.DYNAMO_NO_FLUID_VALIDATOR, ThermalFlags.getFlag("dynamo_gourmand"), "thermal_expansion");
  }
}
